#include <ButtonConstants.au3>
#include <EditConstants.au3>
#include <GUIConstantsEx.au3>
#include <StaticConstants.au3>
#include <WindowsConstants.au3>

$Loop = 0
$Active = 0
$Timer = 0
$TimeCount = 0

$NpcS = ("")
$NpcL = ("")
$NpcF = ("")

Opt("GuiOnEventMode", 1)

#Region ### START Koda GUI section ### Form=
$SLF = GUICreate("SLF", 539, 242, 379, 172)

;~ Computer ergebnisse
$Snpc = GUICtrlCreateInput("", 24, 96, 153, 21, BitOR($GUI_SS_DEFAULT_INPUT,$ES_CENTER,$ES_READONLY))
GUICtrlSetState(-1, $GUI_DISABLE)
$Lnpc = GUICtrlCreateInput("", 192, 96, 153, 21, BitOR($GUI_SS_DEFAULT_INPUT,$ES_CENTER,$ES_READONLY))
GUICtrlSetState(-1, $GUI_DISABLE)
$Fnpc = GUICtrlCreateInput("", 360, 96, 153, 21, BitOR($GUI_SS_DEFAULT_INPUT,$ES_CENTER,$ES_READONLY))
GUICtrlSetState(-1, $GUI_DISABLE)

;~ Spieler ergebnisse
$Spl = GUICtrlCreateInput("", 24, 128, 153, 21, BitOR($GUI_SS_DEFAULT_INPUT,$ES_CENTER))
GUICtrlSetState(-1, $GUI_DISABLE)
$Lpl = GUICtrlCreateInput("", 192, 128, 153, 21, BitOR($GUI_SS_DEFAULT_INPUT,$ES_CENTER))
GUICtrlSetState(-1, $GUI_DISABLE)
$Fpl = GUICtrlCreateInput("", 360, 128, 153, 21, BitOR($GUI_SS_DEFAULT_INPUT,$ES_CENTER))
GUICtrlSetState(-1, $GUI_DISABLE)

;~ Buttons
$Start = GUICtrlCreateButton("Start", 24, 16, 75, 25)
$Stop = GUICtrlCreateButton("Stop", 440, 16, 75, 25)
$Info = GUICtrlCreateButton("Info", 24, 200, 75, 25)
$Reset = GUICtrlCreateButton("Restart", 440, 200, 75, 25)

;~ Dyn Text
$Buchstabe = GUICtrlCreateLabel("Buchstabe", 104, 24, 327, 17, $SS_CENTER)
 GUICtrlSetFont(-1, 10, 800, 0, "Comic Sans MS")
$WinLose = GUICtrlCreateLabel("", 192, 208, 150, 17, $SS_CENTER)
 GUICtrlSetFont(-1, 10, 800, 0, "Comic Sans MS")

;~  Static Text
$Stadt = GUICtrlCreateLabel("Stadt", 32, 72, 141, 17, $SS_CENTER)
 GUICtrlSetFont(-1, 10, 800, 0, "Comic Sans MS")
$Land = GUICtrlCreateLabel("Land", 200, 72, 140, 17, $SS_CENTER)
 GUICtrlSetFont(-1, 10, 800, 0, "Comic Sans MS")
$Fluss = GUICtrlCreateLabel("Fluss", 360, 72, 148, 17, $SS_CENTER)
 GUICtrlSetFont(-1, 10, 800, 0, "Comic Sans MS")

;~  Zeit
$Time = GUICtrlCreateLabel("", 192, 160, 148, 28, $SS_CENTER)
 GUICtrlSetFont(-1, 10, 800, 0, "Comic Sans MS")
GUISetState(@SW_SHOW)
#EndRegion ### END Koda GUI section ###


GUISetOnEvent($GUI_EVENT_CLOSE, "_Exit")

GUICtrlSetOnEvent($Start, "_Start")
GUICtrlSetOnEvent($Stop, "_Stop")
GUICtrlSetOnEvent($Info, "_Info")
GUICtrlSetOnEvent($Reset, "_Reset")

GUICtrlSetState($Stop, $GUI_DISABLE)
GUICtrlSetState($Reset, $GUI_DISABLE)


While 1
	Sleep (20)
	If $Active = 1 Then
		$Random = Chr(Random(Asc("A"), Asc("Z"), 1))
		GUICtrlSetData($Buchstabe, ""&$Random)
	EndIf

	If $Timer = 1 Then
		Sleep (1000)
		$TimeCount += 1
		$TimeCount = Round($TimeCount, 0)
		GUICtrlSetData($Time, "sek: "&$TimeCount)
	EndIf
WEnd



Func _Start()
	$Active = 1
	GUICtrlSetState($Stop, $GUI_ENABLE)
	GUICtrlSetState($Start, $GUI_DISABLE)
EndFunc


Func _Stop()
	$Active = 0

	If $Loop = 1 Then
		$Timer = 0

		If $Random = "A" Then
			$Line = Random (1,3,1)
			$File = FileOpen("Stadt.txt", 0)
			$NpcS = FileReadLine($File, $Line)
			GUICtrlSetData($Snpc, $NpcS)

			$Line = Random (1,3,1)
			$File = FileOpen("Land.txt", 0)
			$NpcL = FileReadLine($File, $Line)
			GUICtrlSetData($Lnpc, $NpcL)

			$Line = Random (1,3,1)
			$File = FileOpen("Fluss.txt", 0)
			$NpcF = FileReadLine($File, $Line)
			GUICtrlSetData($Fnpc, $NpcF)
		EndIf

		If $Random = "B" Then
			$Line = Random (5,7,1)
			$File = FileOpen("Stadt.txt", 0)
			$NpcS = FileReadLine($File, $Line)
			GUICtrlSetData($Snpc, $NpcS)

			$Line = Random (5,7,1)
			$File = FileOpen("Land.txt", 0)
			$NpcL = FileReadLine($File, $Line)
			GUICtrlSetData($Lnpc, $NpcL)

			$Line = Random (5,7,1)
			$File = FileOpen("Fluss.txt", 0)
			$NpcF = FileReadLine($File, $Line)
			GUICtrlSetData($Fnpc, $NpcF)
		EndIf

		If $Random = "C" Then
			$Line = Random (9,11,1)
			$File = FileOpen("Stadt.txt", 0)
			$NpcS = FileReadLine($File, $Line)
			GUICtrlSetData($Snpc, $NpcS)

			$Line = Random (9,11,1)
			$File = FileOpen("Land.txt", 0)
			$NpcL = FileReadLine($File, $Line)
			GUICtrlSetData($Lnpc, $NpcL)

			$Line = Random (9,11,1)
			$File = FileOpen("Fluss.txt", 0)
			$NpcF = FileReadLine($File, $Line)
			GUICtrlSetData($Fnpc, $NpcF)
		EndIf

		If $Random = "D" Then
			$Line = Random (13,15,1)
			$File = FileOpen("Stadt.txt", 0)
			$NpcS = FileReadLine($File, $Line)
			GUICtrlSetData($Snpc, $NpcS)

			$Line = Random (13,15,1)
			$File = FileOpen("Land.txt", 0)
			$NpcL = FileReadLine($File, $Line)
			GUICtrlSetData($Lnpc, $NpcL)

			$Line = Random (13,15,1)
			$File = FileOpen("Fluss.txt", 0)
			$NpcF = FileReadLine($File, $Line)
			GUICtrlSetData($Fnpc, $NpcF)
		EndIf

		If $Random = "E" Then
			$Line = Random (17,19,1)
			$File = FileOpen("Stadt.txt", 0)
			$NpcS = FileReadLine($File, $Line)
			GUICtrlSetData($Snpc, $NpcS)

			$Line = Random (17,19,1)
			$File = FileOpen("Land.txt", 0)
			$NpcL = FileReadLine($File, $Line)
			GUICtrlSetData($Lnpc, $NpcL)

			$Line = Random (17,19,1)
			$File = FileOpen("Fluss.txt", 0)
			$NpcF = FileReadLine($File, $Line)
			GUICtrlSetData($Fnpc, $NpcF)
		EndIf

		If $Random = "F" Then
			$Line = Random (21,23,1)
			$File = FileOpen("Stadt.txt", 0)
			$NpcS = FileReadLine($File, $Line)
			GUICtrlSetData($Snpc, $NpcS)

			$Line = Random (21,23,1)
			$File = FileOpen("Land.txt", 0)
			$NpcL = FileReadLine($File, $Line)
			GUICtrlSetData($Lnpc, $NpcL)

			$Line = Random (21,23,1)
			$File = FileOpen("Fluss.txt", 0)
			$NpcF = FileReadLine($File, $Line)
			GUICtrlSetData($Fnpc, $NpcF)
		EndIf

		If $Random = "G" Then
			$Line = Random (25,27,1)
			$File = FileOpen("Stadt.txt", 0)
			$NpcS = FileReadLine($File, $Line)
			GUICtrlSetData($Snpc, $NpcS)

			$Line = Random (25,26,1)
			$File = FileOpen("Land.txt", 0)
			$NpcL = FileReadLine($File, $Line)
			GUICtrlSetData($Lnpc, $NpcL)

			$Line = Random (25,27,1)
			$File = FileOpen("Fluss.txt", 0)
			$NpcF = FileReadLine($File, $Line)
			GUICtrlSetData($Fnpc, $NpcF)
		EndIf

		If $Random = "H" Then
			$Line = Random (29,31,1)
			$File = FileOpen("Stadt.txt", 0)
			$NpcS = FileReadLine($File, $Line)
			GUICtrlSetData($Snpc, $NpcS)

			$Line = Random (28,29,1)
			$File = FileOpen("Land.txt", 0)
			$NpcL = FileReadLine($File, $Line)
			GUICtrlSetData($Lnpc, $NpcL)

			$Line = Random (29,31,1)
			$File = FileOpen("Fluss.txt", 0)
			$NpcF = FileReadLine($File, $Line)
			GUICtrlSetData($Fnpc, $NpcF)
		EndIf

		If $Random = "I" Then
			$Line = Random (33,35,1)
			$File = FileOpen("Stadt.txt", 0)
			$NpcS = FileReadLine($File, $Line)
			GUICtrlSetData($Snpc, $NpcS)

			$Line = Random (31,32,1)
			$File = FileOpen("Land.txt", 0)
			$NpcL = FileReadLine($File, $Line)
			GUICtrlSetData($Lnpc, $NpcL)

			$Line = Random (33,35,1)
			$File = FileOpen("Fluss.txt", 0)
			$NpcF = FileReadLine($File, $Line)
			GUICtrlSetData($Fnpc, $NpcF)
		EndIf

		If $Random = "J" Then
			$Line = Random (37,39,1)
			$File = FileOpen("Stadt.txt", 0)
			$NpcS = FileReadLine($File, $Line)
			GUICtrlSetData($Snpc, $NpcS)

			$Line = Random (34,36,1)
			$File = FileOpen("Land.txt", 0)
			$NpcL = FileReadLine($File, $Line)
			GUICtrlSetData($Lnpc, $NpcL)

			$Line = Random (37,39,1)
			$File = FileOpen("Fluss.txt", 0)
			$NpcF = FileReadLine($File, $Line)
			GUICtrlSetData($Fnpc, $NpcF)
		EndIf

		If $Random = "K" Then
			$Line = Random (41,43,1)
			$File = FileOpen("Stadt.txt", 0)
			$NpcS = FileReadLine($File, $Line)
			GUICtrlSetData($Snpc, $NpcS)

			$Line = Random (38,40,1)
			$File = FileOpen("Land.txt", 0)
			$NpcL = FileReadLine($File, $Line)
			GUICtrlSetData($Lnpc, $NpcL)

			$Line = Random (41,43,1)
			$File = FileOpen("Fluss.txt", 0)
			$NpcF = FileReadLine($File, $Line)
			GUICtrlSetData($Fnpc, $NpcF)
		EndIf

		If $Random = "L" Then
			$Line = Random (45,47,1)
			$File = FileOpen("Stadt.txt", 0)
			$NpcS = FileReadLine($File, $Line)
			GUICtrlSetData($Snpc, $NpcS)

			$Line = Random (42,44,1)
			$File = FileOpen("Land.txt", 0)
			$NpcL = FileReadLine($File, $Line)
			GUICtrlSetData($Lnpc, $NpcL)

			$Line = Random (45,47,1)
			$File = FileOpen("Fluss.txt", 0)
			$NpcF = FileReadLine($File, $Line)
			GUICtrlSetData($Fnpc, $NpcF)
		EndIf

		If $Random = "M" Then
			$Line = Random (49,51,1)
			$File = FileOpen("Stadt.txt", 0)
			$NpcS = FileReadLine($File, $Line)
			GUICtrlSetData($Snpc, $NpcS)

			$Line = Random (46,48,1)
			$File = FileOpen("Land.txt", 0)
			$NpcL = FileReadLine($File, $Line)
			GUICtrlSetData($Lnpc, $NpcL)

			$Line = Random (49,51,1)
			$File = FileOpen("Fluss.txt", 0)
			$NpcF = FileReadLine($File, $Line)
			GUICtrlSetData($Fnpc, $NpcF)
		EndIf

		If $Random = "N" Then
			$Line = Random (53,54,1)
			$File = FileOpen("Stadt.txt", 0)
			$NpcS = FileReadLine($File, $Line)
			GUICtrlSetData($Snpc, $NpcS)

			$Line = Random (50,52,1)
			$File = FileOpen("Land.txt", 0)
			$NpcL = FileReadLine($File, $Line)
			GUICtrlSetData($Lnpc, $NpcL)

			$Line = Random (53,55,1)
			$File = FileOpen("Fluss.txt", 0)
			$NpcF = FileReadLine($File, $Line)
			GUICtrlSetData($Fnpc, $NpcF)
		EndIf

		If $Random = "O" Then
			$Line = Random (56,58,1)
			$File = FileOpen("Stadt.txt", 0)
			$NpcS = FileReadLine($File, $Line)
			GUICtrlSetData($Snpc, $NpcS)

			$Line = Random (54,55,1)
			$File = FileOpen("Land.txt", 0)
			$NpcL = FileReadLine($File, $Line)
			GUICtrlSetData($Lnpc, $NpcL)

			$Line = Random (57,58,1)
			$File = FileOpen("Fluss.txt", 0)
			$NpcF = FileReadLine($File, $Line)
			GUICtrlSetData($Fnpc, $NpcF)
		EndIf

		If $Random = "P" Then
			$Line = Random (60,62,1)
			$File = FileOpen("Stadt.txt", 0)
			$NpcS = FileReadLine($File, $Line)
			GUICtrlSetData($Snpc, $NpcS)

			$Line = Random (57,59,1)
			$File = FileOpen("Land.txt", 0)
			$NpcL = FileReadLine($File, $Line)
			GUICtrlSetData($Lnpc, $NpcL)

			$Line = Random (60,61,1)
			$File = FileOpen("Fluss.txt", 0)
			$NpcF = FileReadLine($File, $Line)
			GUICtrlSetData($Fnpc, $NpcF)
		EndIf

		If $Random = "Q" Then
			$Line = Random (64,66,1)
			$File = FileOpen("Stadt.txt", 0)
			$NpcS = FileReadLine($File, $Line)
			GUICtrlSetData($Snpc, $NpcS)

			GUICtrlSetData($Lnpc, "-")

			$Line = Random (63,64,1)
			$File = FileOpen("Fluss.txt", 0)
			$NpcF = FileReadLine($File, $Line)
			GUICtrlSetData($Fnpc, $NpcF)
		EndIf

		If $Random = "R" Then
			$Line = Random (68,70,1)
			$File = FileOpen("Stadt.txt", 0)
			$NpcS = FileReadLine($File, $Line)
			GUICtrlSetData($Snpc, $NpcS)

			$Line = Random (61,63,1)
			$File = FileOpen("Land.txt", 0)
			$NpcL = FileReadLine($File, $Line)
			GUICtrlSetData($Lnpc, $NpcL)

			$Line = Random (66,68,1)
			$File = FileOpen("Fluss.txt", 0)
			$NpcF = FileReadLine($File, $Line)
			GUICtrlSetData($Fnpc, $NpcF)
		EndIf

		If $Random = "S" Then
			$Line = Random (72,74,1)
			$File = FileOpen("Stadt.txt", 0)
			$NpcS = FileReadLine($File, $Line)
			GUICtrlSetData($Snpc, $NpcS)

			$Line = Random (65,67,1)
			$File = FileOpen("Land.txt", 0)
			$NpcL = FileReadLine($File, $Line)
			GUICtrlSetData($Lnpc, $NpcL)

			$Line = Random (70,72,1)
			$File = FileOpen("Fluss.txt", 0)
			$NpcF = FileReadLine($File, $Line)
			GUICtrlSetData($Fnpc, $NpcF)
		EndIf

		If $Random = "T" Then
			$Line = Random (76,78,1)
			$File = FileOpen("Stadt.txt", 0)
			$NpcS = FileReadLine($File, $Line)
			GUICtrlSetData($Snpc, $NpcS)

			$Line = Random (69,71,1)
			$File = FileOpen("Land.txt", 0)
			$NpcL = FileReadLine($File, $Line)
			GUICtrlSetData($Lnpc, $NpcL)

			$Line = Random (74,76,1)
			$File = FileOpen("Fluss.txt", 0)
			$NpcF = FileReadLine($File, $Line)
			GUICtrlSetData($Fnpc, $NpcF)
		EndIf

		If $Random = "U" Then
			$Line = Random (80,81,1)
			$File = FileOpen("Stadt.txt", 0)
			$NpcS = FileReadLine($File, $Line)
			GUICtrlSetData($Snpc, $NpcS)

			$Line = Random (73,75,1)
			$File = FileOpen("Land.txt", 0)
			$NpcL = FileReadLine($File, $Line)
			GUICtrlSetData($Lnpc, $NpcL)

			$Line = Random (78,80,1)
			$File = FileOpen("Fluss.txt", 0)
			$NpcF = FileReadLine($File, $Line)
			GUICtrlSetData($Fnpc, $NpcF)
		EndIf

		If $Random = "V" Then
			$Line = Random (83,85,1)
			$File = FileOpen("Stadt.txt", 0)
			$NpcS = FileReadLine($File, $Line)
			GUICtrlSetData($Snpc, $NpcS)

			$Line = Random (77,79,1)
			$File = FileOpen("Land.txt", 0)
			$NpcL = FileReadLine($File, $Line)
			GUICtrlSetData($Lnpc, $NpcL)

			$Line = Random (82,84,1)
			$File = FileOpen("Fluss.txt", 0)
			$NpcF = FileReadLine($File, $Line)
			GUICtrlSetData($Fnpc, $NpcF)
		EndIf

		If $Random = "W" Then
			$Line = Random (87,89,1)
			$File = FileOpen("Stadt.txt", 0)
			$NpcS = FileReadLine($File, $Line)
			GUICtrlSetData($Snpc, $NpcS)

			$Line = Random (81,82,1)
			$File = FileOpen("Land.txt", 0)
			$NpcL = FileReadLine($File, $Line)
			GUICtrlSetData($Lnpc, $NpcL)

			$Line = Random (86,88,1)
			$File = FileOpen("Fluss.txt", 0)
			$NpcF = FileReadLine($File, $Line)
			GUICtrlSetData($Fnpc, $NpcF)
		EndIf

		If $Random = "X" Then
			$Line = Random (91,93,1)
			$File = FileOpen("Stadt.txt", 0)
			$NpcS = FileReadLine($File, $Line)
			GUICtrlSetData($Snpc, $NpcS)

			GUICtrlSetData($Lnpc, "-")

			$Line = Random (90,91,1)
			$File = FileOpen("Fluss.txt", 0)
			$NpcF = FileReadLine($File, $Line)
			GUICtrlSetData($Fnpc, $NpcF)
		EndIf

		If $Random = "Y" Then
			$Line = Random (95,97,1)
			$File = FileOpen("Stadt.txt", 0)
			$NpcS = FileReadLine($File, $Line)
			GUICtrlSetData($Snpc, $NpcS)

			GUICtrlSetData($Lnpc, "-")

			$Line = Random (93,94,1)
			$File = FileOpen("Fluss.txt", 0)
			$NpcF = FileReadLine($File, $Line)
			GUICtrlSetData($Fnpc, $NpcF)
		EndIf

		If $Random = "Z" Then
			$Line = Random (99,101,1)
			$File = FileOpen("Stadt.txt", 0)
			$NpcS = FileReadLine($File, $Line)
			GUICtrlSetData($Snpc, $NpcS)

			$Line = Random (85,87,1)
			$File = FileOpen("Land.txt", 0)
			$NpcL = FileReadLine($File, $Line)
			GUICtrlSetData($Lnpc, $NpcL)

			$Line = Random (96,98,1)
			$File = FileOpen("Fluss.txt", 0)
			$NpcF = FileReadLine($File, $Line)
			GUICtrlSetData($Fnpc, $NpcF)
		EndIf

		GUICtrlSetData($WinLose, "Neues Spiel ?")
		GUICtrlSetState($Stop, $GUI_DISABLE)
		GUICtrlSetState($Reset, $GUI_ENABLE)
		GUICtrlSetState($Spl, $GUI_DISABLE)
		GUICtrlSetState($Lpl, $GUI_DISABLE)
		GUICtrlSetState($Fpl, $GUI_DISABLE)
	EndIf



	If $Loop = 0 Then
		$Loop += 1
			GUICtrlSetState($Spl, $GUI_ENABLE)
			GUICtrlSetState($Lpl, $GUI_ENABLE)
			GUICtrlSetState($Fpl, $GUI_ENABLE)
		$Timer = 1
		GUICtrlSetData($Time, "sek: "&$TimeCount)
	EndIf
EndFunc


Func _Reset()
	$Loop = 0
	$Active = 0
	$Timer = 0
	$TimeCount = 0

	$NpcS = ("")
	$NpcL = ("")
	$NpcF = ("")

	GUICtrlSetData($Time, "")
	GUICtrlSetData($Spl, "")
	GUICtrlSetData($Lpl, "")
	GUICtrlSetData($Fpl, "")
	GUICtrlSetData($Snpc, "")
	GUICtrlSetData($Lnpc, "")
	GUICtrlSetData($Fnpc, "")
	GUICtrlSetData($WinLose, "")
	GUICtrlSetData($Buchstabe, "Buchstabe")
	GUICtrlSetState($Stop, $GUI_DISABLE)
	GUICtrlSetState($Reset, $GUI_DISABLE)
	GUICtrlSetState($Start, $GUI_ENABLE)
EndFunc


Func _Info()
   MsgBox(0,"Coded by ThirtySix","Version 1.1")
EndFunc


Func _Exit()
   Exit
EndFunc